.umbraco-form-block-section {
    background: var(--color-iceland-100, #FBF9F6);
    border-top: 1px solid var(--color-iceland-500);
}

.umbraco-form-block-section .block__header {
    padding-top: 20px;
}

.umbraco-form-block-section h6.pre-head {
    font: var(--font-overline-lg);
    text-transform: uppercase;
    color: var(--color-iceland-1000) !important;
}


.umbraco-form-block-section h1,
.umbraco-form-block-section h2 {
    font: var(--font-title-lg);
    color: var(--color-iceland-1000);
}

.umbraco-form-block-section .umbraco-forms-caption {
    font: var(--font-title-sm);
    color: var(--color-iceland-1000);
    margin-bottom: var(--spacing-x1);
}

.umbraco-form-block-section label {
    font-feature-settings: 'dlig' on;
    font: var(--font-body-sm);
    font-weight: 600;
    color: var(--color-iceland-800);
    margin: 0;
    margin-block: var(--spacing-4);
}

.umbraco-form-block-section textarea,
.umbraco-form-block-section input[type='text'] {
    height: 56px;
    padding: var(--spacing-x2) var(--spacing-20);
    width: 100%;

    border-radius: var(--spacing-x1);
    border: 1px solid var(--color-iceland-600);
    background: var(--color-contrast-100);

    font-feature-settings: 'dlig' on;
    font: var(--font-body-sm);
    font-weight: 600;

    transition: border 0.3s ease-in-out;
}

.umbraco-form-block-section textarea::placeholder,
.umbraco-form-block-section input[type='text']::placeholder {
    color: var(--color-iceland-700);
}

.umbraco-form-block-section textarea:focus-within,
.umbraco-form-block-section input[type='text']:focus-within {
    border: 1px solid var(--color-iceland-1000);
    outline: none;
}

.umbraco-form-block-section textarea {
    padding: var(--spacing-x2);
    font-weight: 400;
    height: 138px;
    resize: none;
    margin: 0;
}

.umbraco-form-block-section .cb-wrap {
    font: var(--font-button-sm) !important;
    color: var(--color-iceland-800) !important;
    font-weight: 400 !important;
}

.umbraco-form-block-section .checkmark {
    margin-top: 4px;
}

.umbraco-forms-field.dataconsent.mandatory.optimization-input__container {
    text-align: center;
}

.umbraco-form-block-section .umbraco-forms-field-wrapper:has(input[type='checkbox']) {
    display: flex;
    gap: 8px;
    align-items:center;
    justify-content:center;
}

.col-md-12:has(input.btn.primary.optimization-button.optimization-button__primary.optimization-button__large.contact-panel__submit-button) {
    text-align: center;
}

div:has(.umbraco-forms-submitmessage) {
    text-align: center;
}
